Ulfius: _u_response Struct Reference

Ulfius HTTP Framework for REST Applications in C

Data Fields
_u_response Struct Reference
Structures

definition of the parameters available in a struct _u_response More...

`#include <ulfius.h>`

Collaboration diagram for _u_response:
[legend]

## Data Fields
long | status
char * | protocol
struct _u_map * | map_header
unsigned int | nb_cookies
struct _u_cookie * | map_cookie
char * | auth_realm
void * | binary_body
size_t | binary_body_length
ssize_t(* | stream_callback )(void *stream_user_data, uint64_t offset, char *out_buf, size_t max)
void(* | stream_callback_free )(void *stream_user_data)
uint64_t | stream_size
size_t | stream_block_size
void * | stream_user_data
void * | websocket_handle
void * | shared_data
void(* | free_shared_data )(void *shared_data)
unsigned int | timeout

## Detailed Description

definition of the parameters available in a struct _u_response

## Field Documentation

## ◆ status

long _u_response::status

## ◆ protocol

char* _u_response::protocol

## ◆ map_header

struct _u_map* _u_response::map_header

## ◆ nb_cookies

unsigned int _u_response::nb_cookies

## ◆ map_cookie

struct _u_cookie* _u_response::map_cookie

## ◆ auth_realm

char* _u_response::auth_realm

## ◆ binary_body

void* _u_response::binary_body

## ◆ binary_body_length

size_t _u_response::binary_body_length

## ◆ stream_callback

ssize_t(* _u_response::stream_callback) (void *stream_user_data, uint64_t offset, char *out_buf, size_t max)

## ◆ stream_callback_free

void(* _u_response::stream_callback_free) (void *stream_user_data)

## ◆ stream_size

uint64_t _u_response::stream_size

## ◆ stream_block_size

size_t _u_response::stream_block_size

## ◆ stream_user_data

void* _u_response::stream_user_data

## ◆ websocket_handle

void* _u_response::websocket_handle

## ◆ shared_data

void* _u_response::shared_data

## ◆ free_shared_data

void(* _u_response::free_shared_data) (void *shared_data)

## ◆ timeout

unsigned int _u_response::timeout

The documentation for this struct was generated from the following file:

- include/ulfius.h